Subject: [IPP] Impressions vs. images for IPP FaxOut service

From: Michael Sweet <[email-masked]>
Date: Tue, 01 Nov 2011 17:20:31 -0700

All,

As I continue to sift through the minutes from the October 2011 F2F, I saw that we decided to normatively reference the 5106.1 definition of impressions for IPP and the Semantic Model going forward.

However, for FaxOut (and potentially other IPP service bindings, should we do them) the existing job-impressions/-completed attributes would not apply.  Section 7.1 of 5106.1 has the following to say about impressions:

The relationships in this section are common to all services that contain the associated counters. For example the relationship for Impression applies to Copy, EmailIn, FaxIn, NetworkFaxIn, Print and SystemTotals because “impressions” is applicable to these services The relationship for Impression does not apply to EmailOut, FaxOut, NetworkFaxOut, Scan or Transform because “impressions” is not applicable to these services.

Presumably we should report and count images instead, however IPP has never defined image counter attributes (e.g. there are no job-images/-completed attributes).

Should I:

1. Add new job-images and job-images-completed Job Description attributes for FaxOut. This would preserve a closer 1-to-1 mapping with the Semantic Model.

or:

2. Redefine job-impressions and job-impressions-completed to be images for FaxOut and other image-based services. This would make FaxOut closer to Print from a Client perspective, and existing code to report progress or do accounting would work without changes.

Thoughts?

_________________________________________________________
Michael Sweet, Senior Printing System Engineer, PWG Chair

-- 
This message has been scanned for viruses and
dangerous content by MailScanner, and is
believed to be clean.

_______________________________________________
ipp mailing list
[email-masked]
https://www.pwg.org/mailman/listinfo/ipp

---

From: Ira McDonald <[email-masked]>
Date: Tue, 1 Nov 2011 20:56:40 -0400

Hi Mike,

My two cents:

Define new job-images[-completed] attributes, to align
w/ SM.

Also, Copy Service (and possibly other future services)
have both images (input) and impressions (output) work
counters.

Of course, Scan/FaxIn/etc. need images work counters.

Cheers,
- Ira,

Ira McDonald (Musician / Software Architect)
Chair - Linux Foundation Open Printing WG
Secretary - IEEE-ISTO Printer Working Group
Co-Chair - IEEE-ISTO PWG IPP WG
Chair - TCG Embedded Systems Hardcopy SG
IETF Designated Expert - IPP & Printer MIB
Blue Roof Music/High North Inc
http://sites.google.com/site/blueroofmusic
http://sites.google.com/site/highnorthinc
mailto:[email-masked]
Winter  579 Park Place  Saline, MI  48176  734-944-0094
Summer  PO Box 221  Grand Marais, MI 49839  906-494-2434

On Tue, Nov 1, 2011 at 8:20 PM, Michael Sweet <[email-masked]> wrote:

> All,
>
> As I continue to sift through the minutes from the October 2011 F2F, I saw
> that we decided to normatively reference the 5106.1 definition of
> impressions for IPP and the Semantic Model going forward.
>
> However, for FaxOut (and potentially other IPP service bindings, should we
> do them) the existing job-impressions/-completed attributes would not
> apply.  Section 7.1 of 5106.1 has the following to say about impressions:
>
> The relationships in this section are common to all services that contain
> the associated counters. For example the relationship for Impression
> applies to Copy, EmailIn, FaxIn, NetworkFaxIn, Print and SystemTotals
> because “impressions” is applicable to these services The relationship for
> Impression does not apply to EmailOut, FaxOut, NetworkFaxOut, Scan or
> Transform because “impressions” is not applicable to these services.
>
>
> Presumably we should report and count images instead, however IPP has
> never defined image counter attributes (e.g. there are no
> job-images/-completed attributes).
>
> Should I:
>
> 1. Add new job-images and job-images-completed Job Description attributes
> for FaxOut. This would preserve a closer 1-to-1 mapping with the Semantic
> Model.
>
> or:
>
> 2. Redefine job-impressions and job-impressions-completed to be images for
> FaxOut and other image-based services. This would make FaxOut closer to
> Print from a Client perspective, and existing code to report progress or do
> accounting would work without changes.
>
> Thoughts?
>
> dangerous content by *MailScanner* <http://www.mailscanner.info/>, and is
> believed to be clean.
>

---

From: "Paul Tykodi" <[email-masked]>
Date: Wed, 2 Nov 2011 04:11:00 -0400

Hi Mike,

I agree with Ira's suggestion as a good way to move forward.

Best Regards,

/Paul

--

Paul Tykodi
Principal Consultant
TCS - Tykodi Consulting Services LLC

Tel/Fax: 603-343-1820
Mobile:  603-866-0712
E-mail:  [email-masked]
WWW:   <http://www.tykodi.com/> http://www.tykodi.com

From: [email-masked] [mailto:[email-masked]] On Behalf Of Ira
McDonald
Sent: Tuesday, November 01, 2011 8:57 PM
To: Michael Sweet; Ira McDonald
Cc: [email-masked]
Subject: Re: [IPP] Impressions vs. images for IPP FaxOut service

Hi Mike,

My two cents:

Cheers,
- Ira,

 <http://sites.google.com/site/blueroofmusic>
 <http://sites.google.com/site/highnorthinc>

All,

However, for FaxOut (and potentially other IPP service bindings, should we
do them) the existing job-impressions/-completed attributes would not apply.
Section 7.1 of 5106.1 has the following to say about impressions:

The relationships in this section are common to all services that contain
the associated counters. For example the relationship for Impression applies
to Copy, EmailIn, FaxIn, NetworkFaxIn, Print and SystemTotals because
"impressions" is applicable to these services The relationship for
Impression does not apply to EmailOut, FaxOut, NetworkFaxOut, Scan or
Transform because "impressions" is not applicable to these services.

Presumably we should report and count images instead, however IPP has never
defined image counter attributes (e.g. there are no job-images/-completed
attributes).

Should I:

or:

Thoughts?

-- 
This message has been scanned for viruses and 
dangerous content by  <http://www.mailscanner.info/> MailScanner, and is 
believed to be clean. 

-- 
This message has been scanned for viruses and 
dangerous content by  <http://www.mailscanner.info/> MailScanner, and is 
believed to be clean.

---

From: "William Wagner" <[email-masked]>
Date: Thu, 3 Nov 2011 17:57:23 -0400

Hi Mike,

Your option 1 is consistent with the decision to follow the 5106.1
distinction between images and impressions. As IPP is extended to include
the MFD services beyond print, I think it is important to maintain the
distinction. With respect to FaxOut, I appreciate that some applications may
have lumped this service in with print, in which case using a different
attribute is a disruption. If we were just extending IPP to FaxOut, fudging
impression to mean images might be reasonable; but as Ira has suggested, it
would be particularly confusing in some other services.

However, although the impressions/images/sheets/pages issue has seemed
fairly clear for those of us who worked on 5106.1, it apparently has been an
issue for you; so I wonder if we are missing something?

Thanks,

Bill Wagner

From: [email-masked] [mailto:[email-masked]] On Behalf Of Paul
Tykodi
Sent: Wednesday, November 02, 2011 4:11 AM
To: 'Michael Sweet'
Cc: [email-masked]
Subject: RE: [IPP] Impressions vs. images for IPP FaxOut service

Hi Mike,

Best Regards,

/Paul

--

Paul Tykodi
Principal Consultant

Tel/Fax: 603-343-1820
Mobile:  603-866-0712

Hi Mike,

My two cents:

Cheers,
- Ira,

All,

Should I:

or:

Thoughts?

---

From: Michael Sweet <[email-masked]>
Date: Fri, 04 Nov 2011 09:49:21 -0700

On Nov 3, 2011, at 2:57 PM, William Wagner wrote:
> Hi Mike,
>  
> Your option 1 is consistent with the decision to follow the 5106.1 distinction between images and impressions. As IPP is extended to include the MFD services beyond print, I think it is important to maintain the distinction. With respect to FaxOut, I appreciate that some applications may have lumped this service in with print, in which case using a different attribute is a disruption. If we were just extending IPP to FaxOut, fudging impression to mean images might be reasonable; but as Ira has suggested, it would be particularly confusing in some other services.

I think we have general consensus that option 1 is the right approach. The current draft already has the per-destination image count, so job-images-completed will just be a roll-up count.

> However, although the impressions/images/sheets/pages issue has seemed fairly clear for those of us who worked on 5106.1, it apparently has been an issue for you; so I wonder if we are missing something?

The confusion for me (and many vendors, based on the implementations I have seen) has been the plethora of definitions to date, the lack of concrete examples for the edge cases, and the lack of any normative references to 5106.1 in any IPP specification. I know I personally only ever thought of 5106.1 as a counter MIB and not as something that had broader reach/implications for higher-level protocols.

(Obviously we are going to fix the referencing issue, and I am preparing an errata for RFC 2911 to provide a normative reference to 5106.1 for job-media-sheets/-completed and job-impressions/-completed)

________________________________________________________________________
Michael Sweet, Senior Printing System Engineer, PWG Chair